import App from './App'
import "@/static/css/index.scss";
import $config from "@/config/index.js"

 
// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

import uView from "uview-ui";
Vue.use(uView);

Vue.prototype.$config = $config
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif